%global shortname looks

Name:           jgoodies-looks
Version:        2.6.0
Release:        %mkrel 8
Summary:        Free high-fidelity Windows and multi-platform appearance

Group:          Development/Java
License:        BSD
URL:            http://www.jgoodies.com/freeware/looks/
Source0:        http://www.jgoodies.com/download/libraries/%{shortname}/%{name}-%(tr "." "_" <<<%{version}).zip
# Fix build with JDK 11
Patch0:         %{name}-2.6.0-jdk11.patch

# Fontconfig and DejaVu fonts needed for tests
BuildRequires:  fonts-ttf-dejavu
BuildRequires:  fontconfig
BuildRequires:  maven-local
BuildRequires:  mvn(com.jgoodies:jgoodies-common) >= 1.8.0
# JGoodies Looks >= 2.4.2 doesn't provide demo jars anymore
Provides:       %{name}-demo = %{version}-%{release}
Obsoletes:      %{name}-demo < 2.4.2
BuildArch:      noarch

%description
The JGoodies look&feels make your Swing applications and applets look better.
They have been optimized for readability, precise micro-design and usability.


%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q

# Unzip source and test files from provided JARs
mkdir -p src/main/java/ src/test/java/
pushd src/main/java/
jar -xf ../../../%{name}-%{version}-sources.jar
popd
pushd src/test/java/
jar -xf ../../../%{name}-%{version}-tests.jar
popd

# Move the resources into a "resources" directory so they end up packaged
# properly
mkdir -p src/main/resources/com/jgoodies/looks/plastic/
mv src/main/java/com/jgoodies/looks/plastic/icons/ src/main/resources/com/jgoodies/looks/plastic/
mkdir -p src/main/resources/com/jgoodies/looks/common
mv src/main/java/com/jgoodies/looks/common/*.png src/main/resources/com/jgoodies/looks/common/

%patch0 -p0 -b .jdk11

# Delete prebuild JARs
find -name "*.jar" -exec rm {} \;

# Drop Windows L&F support files (unsupported on JDK 11)
rm -r src/main/java/com/jgoodies/looks/windows/

# Fix wrong end-of-line encoding
for file in LICENSE.txt RELEASE-NOTES.txt; do
  sed -i.orig "s/\r//" $file && \
  touch -r $file.orig $file && \
  rm $file.orig
done

# remove unnecessary dependency on parent POM
%pom_remove_parent

%mvn_file :%{name} %{name} %{name}


%build
%mvn_build


%install
%mvn_install


%files -f .mfiles
%doc README.html RELEASE-NOTES.txt
%license LICENSE.txt


%files javadoc -f .mfiles-javadoc




%changelog
* Thu Sep 10 2020 daviddavid <daviddavid> 2.6.0-8.mga8
+ Revision: 1624141
- Fix build with JDK11
- Rebuilt for JDK-11
- Remove unnecessary dependency on parent POM

* Wed Feb 12 2020 umeabot <umeabot> 2.6.0-7.mga8
+ Revision: 1491728
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 2.6.0-6.mga7
+ Revision: 1263880
- Mageia 7 Mass Rebuild

* Fri May 19 2017 neoclust <neoclust> 2.6.0-5.mga6
+ Revision: 1103349
- Fix buildRequires
- Second rebuild of the java stack

* Mon Feb 29 2016 daviddavid <daviddavid> 2.6.0-1.mga6
+ Revision: 980735
- First rebuild of the java stack
- sync package jgoodies-looks with fedora (update to 2.6.0)
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5.3-6.mga5
+ Revision: 738918
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 2.5.3-4.mga4
+ Revision: 542013
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 dmorgan <dmorgan> 2.5.3-3.mga4
+ Revision: 496696
- New version

* Sat Jan 12 2013 umeabot <umeabot> 2.4.2-2.mga3
+ Revision: 355386
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 16 2012 fwang <fwang> 2.4.2-1.mga3
+ Revision: 331478
- update file list
- update file list
- new version 2.4.2

* Fri Oct 21 2011 gil <gil> 2.4.1-1.mga2
+ Revision: 157169
- edit spec file
- added maven2 poms

* Wed Jul 06 2011 grenoya <grenoya> 2.4.1-0.0.4.mga2
+ Revision: 119500
- upgrade sources to 2.4.1
- remove patch #0
- remove unneeded define due to change of sources name

* Sat Mar 05 2011 grenoya <grenoya> 2.2.1-0.0.4.mga1
+ Revision: 64851
- imported package jgoodies-looks


* Mon Dec 06 2010 Oden Eriksson <oeriksson@mandriva.com> 2.2.1-0.0.4mdv2011.0
+ Revision: 612445
- the mass rebuild of 2010.1 packages

* Thu Apr 29 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.1-0.0.3mdv2010.1
+ Revision: 540955
- rebuild

* Fri Sep 11 2009 Thierry Vignaud <tv@mandriva.org> 2.2.1-0.0.2mdv2010.0
+ Revision: 438037
- rebuild

* Sun Mar 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 2.2.1-0.0.1mdv2009.1
+ Revision: 352863
- update to new version 2.2.1
- spec file clean

* Mon Sep 22 2008 Alexander Kurtakov <akurtakov@mandriva.org> 2.2.0-0.6.1mdv2009.0
+ Revision: 286493
- BR java-rpmbuild
- fix group
- import jgoodies-looks


